cloud_firestore_all 0.1.1+4

  • Readme
  • Changelog
  • Example
  • Installing
  • 91

Cross-Platform Cloud Firestore Plugin #

A Firebase Firestore wrapper for Flutter that wraps cloud_firestore and firebase into a single API for use on both Flutter web and mobile.

Setup #

Mobile #

Follow cloud_firestore setup instructions for mobile setup.

Web #

Add Firebase JavaScript libraries to html file and initialize your application with your variables.

<script src="https://www.gstatic.com/firebasejs/7.4.0/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/7.4.0/firebase-firestore.js"></script>
<script>
    firebase.initializeApp({
        apiKey: "API KEY",
        authDomain: "AUTH DOMAIN",
        databaseURL: "DATABASE URL",
        projectId: "PROJECT ID",
        storageBucket: "STORAGE BUCKER URL",
        appId: "APP ID",
        messagingSenderId: "sender-id",
        measurementId: "G-measurement-id"
    });
</script>

See Example for details

TODO #

  • [ ] Add Unit Testing
  • [ ] Test Compatibility

Changelog #

[0.1.1+4] - 2020/1/3

  • Changed License

[0.1.1+3] - 2020/1/2

  • Fixed incorrect method call

[0.1.1+2] - 2020/1/1

  • Formating Changes
  • Removed duplicate properties

[0.1.1] - 2020/1/1

  • Added WriteBatch class
  • Added collection method to DocumentReference
  • Added FieldValue methods
  • Moved serverTimestamp to FieldValue class
  • Fixed bug where method parameter did not have default value or null check

[0.1.0+3] - 2019/12/17

  • Code reformatting.

[0.1.0+2] - 2019/12/17

  • Updated dependencies.
  • Added documentation.

[0.1.0+1] - 2019/11/2

  • Code Reformatting.

[0.1.0] - 2019/11/2

  • Project reorganized,
  • Added Example,
  • Added More classes.

[0.0.1] - 2019/10/23

  • Initial Release with limited support.

example/README.md

Cloud Firestore All Example #

Getting Started #

See Github repository example main.dart and documentation for details

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  cloud_firestore_all: ^0.1.1+4

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:cloud_firestore_all/cloud_firestore_all.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
83
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
91
Learn more about scoring.

We analyzed this package on Jan 21, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.0
  • pana: 0.13.4
  • Flutter: 1.12.13+hotfix.5

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
cloud_firestore ^0.13.0+1 0.13.0+1
firebase ^7.1.0 7.2.0
firebase_core ^0.4.3+1 0.4.3+2
flutter 0.0.0
Transitive dependencies
async 2.4.0
charcode 1.1.2
collection 1.14.11 1.14.12
firebase_core_platform_interface 1.0.2
firebase_core_web 0.1.1+2
flutter_web_plugins 0.0.0
http 0.12.0+4
http_parser 3.1.3
js 0.6.1+1
matcher 0.12.6
meta 1.1.8
path 1.6.4
pedantic 1.9.0
quiver 2.1.2+1
sky_engine 0.0.99
source_span 1.6.0
stack_trace 1.9.3
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6
vector_math 2.0.8